Categories


Archives


Recent Posts


Categories


Commerce Bug 1.1 and Supporting the Future

astorm

Frustrated by Magento? Then you’ll love Commerce Bug, the must have debugging extension for anyone using Magento. Whether you’re just starting out or you’re a seasoned pro, Commerce Bug will save you and your team hours everyday. Grab a copy and start working with Magento instead of against it.

No Frills Magento Layout is the only Magento front end book you'll ever need. Get your copy today!

I’m proud to announce the immediate availability of Commerce Bug 1.1. The biggest upgrade is actually a downgrade.

Commerce Bug now supports the 1.3x branch of Magento Community Edition. If you’re developing a store/solution that’s still on the 1.3x branch grab your copy today and start developing smarting.

Running a store on the 1.4x branch or using Enterprise Edition 1.7x and still not using Commerce Bug? Your competitors are, and they’re that much more effective because of it, so get the competitive edge over other Magento shops. For a fraction of a billable hour and less than 2% of the cost of a Magento Enterprise license your team can stop glopping through code, and start developing at the speed you’re used to.

Existing customers, just use your original download link to grab the latest version.

On Supporting the Future

Shameless marketing (with some fear mongering to boot!) out of the way, a quick word about support for the 1.3x branch. When I created Commerce Bug, 1.4x was the the latest release available. Uptake from 1.2x to 1.3x seemed to happen almost overnight with the clients I’m consulting for, so I assumed the same thing would happen with 1.3x. That hasn’t been the case.

The 1.4x branch was released, in part, to deal with an incompatibility between PHP 5.2 and PHP 5.3. My best guess is that the 1.3x branch of Magento will remain the preferred branch for PHP 5.2 development, with PHP 5.3 users blazing the trail ahead on 1.4x. It seems reasonable to think that PHP 5.2 to 5.3 uptake will follow a similar trajectory.

I tell you all this to let you know that I support for both CE 1.3x and CE 1.4x is a long term commitment for the remainder of the Commerce Bug’s 1.x run. If you’re holding back because you’re worried about an future update dropping support, don’t hold back, get your copy today.

Originally published June 7, 2010
Series Navigation<< Commerce Bug 1.0.2 is OutCommerce Bug 1.2 >>

Copyright © Alan Storm 1975 – 2017 All Rights Reserved

Originally Posted: 7th June 2010